Patch a Spending BudgetAsk AIpatch https://api-sandbox.thisisbud.com/goals/v1/spending-budgets/{budget_id}Update a Spending Budget with a given budget_id.Path Paramsbudget_idstringrequiredThe ID of the spending budget. Example: 81a68821-dca6-4771-80d4-002c7fce412eBody ParamsnamestringThe name of the spending budget. Example: TravelamountobjectThe amount of money to be budgeted for. Must be greater than 0. Note: The Currency of a spending budget cannot be updated.Amount objectrecurrencyobjectWhether and/or how often the budget recurs. The starting_day is only required for budgets with a recurring period e.g. monthly New periods may be added without a breaking change notice.Recurrency objectincludeobjectThe inclusion criteria for transactions to be included in the budget.Include objectHeadersX-Client-IdstringrequiredThe API Client Identifier (Service Application Identifier).X-Customer-IduuidrequiredA unique identifier for a Customer, as registered on Bud's platform.X-Customer-Idempotent-IdentifierstringUse the internal client identifier, provided in the client_metadata object when creating the customer in Create Customer V3, in place of an X-Customer-Id header.X-Customer-SecretstringThe Bud Customer secret used to encrypt customer data. This is required only if the customer secret is not already stored with Bud.Responses 200OK - The budget was updated successfully. 400The request contains an invalid payload. 401Unauthorized - The request was not authorised. 404Not Found - The goal ID could not be found 500Internal Server Error - An unexpected error occurred.Updated 7 months ago